USN-5123-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5123-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5123-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5123-1
Related
Published
2021-10-25T12:56:42.804675Z
Modified
2021-10-25T12:56:42.804675Z
Summary
mysql-5.7, mysql-8.0 vulnerabilities
Details

Multiple security issues were discovered in MySQL and this update includes new upstream MySQL versions to fix these issues.

MySQL has been updated to 8.0.27 in Ubuntu 20.04 LTS, Ubuntu 21.04, and Ubuntu 21.10. Ubuntu 18.04 LTS has been updated to MySQL 5.7.36.

In addition to security fixes, the updated packages contain bug fixes, new features, and possibly incompatible changes.

Please see the following for more information:

https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-36.html https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-27.html https://www.oracle.com/security-alerts/cpuoct2021.html

References

Affected packages

Ubuntu:18.04:LTS / mysql-5.7

Package

Name
mysql-5.7

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.7.36-0ubuntu0.18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libmysqlclient20": "5.7.36-0ubuntu0.18.04.1",
            "mysql-testsuite": "5.7.36-0ubuntu0.18.04.1",
            "mysql-server-5.7": "5.7.36-0ubuntu0.18.04.1",
            "mysql-testsuite-5.7": "5.7.36-0ubuntu0.18.04.1",
            "libmysqld-dev": "5.7.36-0ubuntu0.18.04.1",
            "mysql-client-core-5.7": "5.7.36-0ubuntu0.18.04.1",
            "mysql-client": "5.7.36-0ubuntu0.18.04.1",
            "mysql-source-5.7": "5.7.36-0ubuntu0.18.04.1",
            "mysql-client-5.7": "5.7.36-0ubuntu0.18.04.1",
            "libmysqlclient-dev": "5.7.36-0ubuntu0.18.04.1",
            "mysql-server": "5.7.36-0ubuntu0.18.04.1",
            "mysql-server-core-5.7": "5.7.36-0ubuntu0.18.04.1"
        }
    ]
}

Ubuntu:20.04:LTS / mysql-8.0

Package

Name
mysql-8.0

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
8.0.27-0ubuntu0.20.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "mysql-server": "8.0.27-0ubuntu0.20.04.1",
            "mysql-testsuite": "8.0.27-0ubuntu0.20.04.1",
            "mysql-source-8.0": "8.0.27-0ubuntu0.20.04.1",
            "mysql-client": "8.0.27-0ubuntu0.20.04.1",
            "mysql-client-8.0": "8.0.27-0ubuntu0.20.04.1",
            "mysql-server-8.0": "8.0.27-0ubuntu0.20.04.1",
            "mysql-testsuite-8.0": "8.0.27-0ubuntu0.20.04.1",
            "mysql-router": "8.0.27-0ubuntu0.20.04.1",
            "mysql-server-core-8.0": "8.0.27-0ubuntu0.20.04.1",
            "libmysqlclient-dev": "8.0.27-0ubuntu0.20.04.1",
            "libmysqlclient21": "8.0.27-0ubuntu0.20.04.1",
            "mysql-client-core-8.0": "8.0.27-0ubuntu0.20.04.1"
        }
    ]
}